summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/Synkron/README4
-rw-r--r--accessibility/Synkron/Synkron.SlackBuild100
-rw-r--r--accessibility/Synkron/Synkron.info10
-rw-r--r--accessibility/Synkron/slack-desc18
-rw-r--r--accessibility/Synkron/synkron.desktop9
-rw-r--r--accessibility/Synkron/synkron.pngbin0 -> 11286 bytes
6 files changed, 141 insertions, 0 deletions
diff --git a/accessibility/Synkron/README b/accessibility/Synkron/README
new file mode 100644
index 0000000000..4d72d53bf3
--- /dev/null
+++ b/accessibility/Synkron/README
@@ -0,0 +1,4 @@
+Synkron is an application that helps you keep your files and folders always updated. You can easily sync
+your documents, music, or pictures to have their latest versions everywhere.
+
+Synkron provides an easy-to-use interface and a lot of features. Moreover, it is free and cross-platform.
diff --git a/accessibility/Synkron/Synkron.SlackBuild b/accessibility/Synkron/Synkron.SlackBuild
new file mode 100644
index 0000000000..25bc655c4b
--- /dev/null
+++ b/accessibility/Synkron/Synkron.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for purple-facebook
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Synkron
+VERSION=${VERSION:-1.6.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM-$VERSION-src
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build release version
+lrelease Synkron.pro
+qmake -config release
+make
+
+# Have to manually do this sadly
+mkdir -p $PKG/usr/bin
+cp -a synkron $PKG/usr/bin
+
+# Makes desktop file related directories
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/pixmaps
+
+# Copies over desktop file and icon
+cp -a $CWD/synkron.desktop $PKG/usr/share/applications
+cp -a $CWD/synkron.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a readme.txt gpl.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/accessibility/Synkron/Synkron.info b/accessibility/Synkron/Synkron.info
new file mode 100644
index 0000000000..709be7545b
--- /dev/null
+++ b/accessibility/Synkron/Synkron.info
@@ -0,0 +1,10 @@
+PRGNAM="Synkron"
+VERSION="1.6.2"
+HOMEPAGE="http://synkron.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/synkron/files/synkron/1.6.2/Synkron-1.6.2-src.tar.gz"
+MD5SUM="a54301030a0451401bb253f2d80ac61b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"
diff --git a/accessibility/Synkron/slack-desc b/accessibility/Synkron/slack-desc
new file mode 100644
index 0000000000..1453397b50
--- /dev/null
+++ b/accessibility/Synkron/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler--------------------------------------------------------|
+Synkron: Synkron (Easy to use file/folder synchronization)
+Synkron:
+Synkron: Synkron is an application that helps you keep your files and folders
+Synkron: always updated. You can easily sync your documents, music, or pictures
+Synkron: to have their latest versions everywhere.
+Synkron:
+Synkron: Synkron provides an easy-to-use interface and a lot of features.
+Synkron: Moreover, it is free and cross-platform.
+Synkron:
+Synkron: Homepage: http://synkron.sourceforge.net/
diff --git a/accessibility/Synkron/synkron.desktop b/accessibility/Synkron/synkron.desktop
new file mode 100644
index 0000000000..c643c54c73
--- /dev/null
+++ b/accessibility/Synkron/synkron.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Synkron
+GenericName=Easy to use file/folder synchronization
+Type=Application
+Comment=An easy-to-use gui for managing different version of files and folders.
+Exec=synkron
+Icon=synkron
+Terminal=false
+Categories=Utility
diff --git a/accessibility/Synkron/synkron.png b/accessibility/Synkron/synkron.png
new file mode 100644
index 0000000000..ab4d93d6f3
--- /dev/null
+++ b/accessibility/Synkron/synkron.png
Binary files differ